# API模块
from fastapi import APIRouter

from app.api.workcase import router as workcase_router
from app.api.bidding import router as bidding_router
from app.api.test import router as test_router

# 创建主路由器
router = APIRouter()

# 注册所有子路由
router.include_router(workcase_router, prefix="/workcase", tags=["工单相关服务"])
router.include_router(bidding_router, prefix="/bidding", tags=["招标相关服务"])
router.include_router(test_router, prefix="/test", tags=["招标相关服务"])

__all__ = ["router"]
